## prometheus 2.42.0+ds

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x

UI_PATH = web/ui
UI_NODE_MODULES_PATH = $(UI_PATH)/node_modules
REACT_APP_NPM_LICENSES_TARBALL = "npm_licenses.tar.bz2"

PROMTOOL = ./promtool
TSDB_BENCHMARK_NUM_METRICS ?= 1000
TSDB_BENCHMARK_DATASET ?= ./tsdb/testdata/20kseries.json
TSDB_BENCHMARK_OUTPUT_DIR ?= ./benchout

GOLANGCI_LINT_OPTS ?= --timeout 4m

include Makefile.common

DOCKER_IMAGE_NAME       ?= prometheus

.PHONY: update-npm-deps
update-npm-deps:
	@echo ">> updating npm dependencies"
	./scripts/npm-deps.sh "minor"

.PHONY: upgrade-npm-deps
upgrade-npm-deps:
	@echo ">> upgrading npm dependencies"
	./scripts/npm-deps.sh "latest"

.PHONY: ui-bump-version
ui-bump-version:
	version=$$(sed s/2/0/ < VERSION) && ./scripts/ui_release.sh --bump-version "$${version}"
	cd web/ui && npm install
	git add "./web/ui/package-lock.json" "./**/package.json"

.PHONY: ui-install
ui-install:
	cd $(UI_PATH) && npm install

.PHONY: ui-build
ui-build:
	cd $(UI_PATH) && CI="" npm run build

.PHONY: ui-build-module
ui-build-module:
	cd $(UI_PATH) && npm run build:module

.PHONY: ui-test
ui-test:
	cd $(UI_PATH) && CI=true npm run test

.PHONY: ui-lint
ui-lint:
	cd $(UI_PATH) && npm run lint

.PHONY: assets
assets: ui-install ui-build

.PHONY: assets-compress
assets-compress: assets
	@echo '>> compressing assets'
	scripts/compress_assets.sh

.PHONY: assets-tarball
assets-tarball: assets
	@echo '>> packaging assets'
	scripts/package_assets.sh

.PHONY: test
# If we only want to only test go code we have to change the test target
# which is called by all.
ifeq ($(GO_ONLY),1)
test: common-test
else
test: common-test ui-build-module ui-test ui-lint
endif

.PHONY: npm_licenses
npm_licenses: ui-install
	@echo ">> bundling npm licenses"
	rm -f $(REACT_APP_NPM_LICENSES_TARBALL) npm_licenses
	ln -s . npm_licenses
	find npm_licenses/$(UI_NODE_MODULES_PATH) -iname "license*" | tar cfj $(REACT_APP_NPM_LICENSES_TARBALL) --files-from=-
	rm -f npm_licenses

.PHONY: tarball
tarball: npm_licenses common-tarball

.PHONY: docker
docker: npm_licenses common-docker

plugins/plugins.go: plugins.yml plugins/generate.go
	@echo ">> creating plugins list"
	$(GO) generate -tags plugins ./plugins

.PHONY: plugins
plugins: plugins/plugins.go

.PHONY: build
build: assets npm_licenses assets-compress plugins common-build

.PHONY: bench_tsdb
bench_tsdb: $(PROMU)
	@echo ">> building promtool"
	@GO111MODULE=$(GO111MODULE) $(PROMU) build --prefix $(PREFIX) promtool
	@echo ">> running benchmark, writing result to $(TSDB_BENCHMARK_OUTPUT_DIR)"
	@$(PROMTOOL) tsdb bench write --metrics=$(TSDB_BENCHMARK_NUM_METRICS) --out=$(TSDB_BENCHMARK_OUTPUT_DIR) $(TSDB_BENCHMARK_DATASET)
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/cpu.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/cpuprof.svg
	@$(GO) tool pprof --inuse_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.inuse.svg
	@$(GO) tool pprof --alloc_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.alloc.svg
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/block.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/blockprof.svg
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mutex.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/mutexprof.svg

=== debian/changelog ===
prometheus (2.42.0+ds-5) unstable; urgency=medium

  * Fix typo in debian/rules pertaining to arch-specific test flags

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 06 Feb 2023 09:24:28 +0000

prometheus (2.42.0+ds-4) unstable; urgency=medium

  * Skip TestConcurrentRangeQueries on riscv64 also
  * Skip flaky TestPartialTruncateWAL test on certain archs
  * d/rules: skip long tests on riscv64, which cause build failures due to
    test timeouts

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Feb 2023 08:02:02 +0000

prometheus (2.42.0+ds-3) unstable; urgency=medium

  * Skip TestConcurrentRangeQueries on 32-bit archs due to consistent timeouts

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Feb 2023 05:28:28 +0000

prometheus (2.42.0+ds-2) unstable; urgency=medium

  * Combine memory-intesive test skip patches which address a common root
    cause
  * Drop obsolete 31-Disable_fsnotify_mips64el.patch (fixed upstream)
  * Add new 34-Fix_slow_tests.patch to address slow test timeouts on heavily-
    loaded buildd hosts

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Feb 2023 02:02:35 +0000

prometheus (2.42.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 04 Feb 2023 00:19:21 +0000

prometheus (2.41.0+ds-2) unstable; urgency=medium

  * Extend 36-Disable_rules_test_arm.patch to other 32-bit archs (and rename
    to 36-Disable_rules_test_32-bit.patch) (Closes: #1025234)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Jan 2023 04:04:27 +0000

prometheus (2.41.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Bump minimum required golang-github-prometheus-common-dev version to
    0.39.0
  * Bump Standards-Version to 4.6.2 (no changes)
  * dh_auto_test: increase Go test timeout to 30 mins
  * Patch css / js paths in console_templates/prom.lib
  * Increase open file descriptor limit to 32768

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 21 Dec 2022 00:30:48 +0000

prometheus (2.40.7+ds-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: drop Files-Excluded patterns for files which are no longer
    shipped by upstream

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Dec 2022 03:50:09 +0000

prometheus (2.40.5+ds-3) unstable; urgency=medium

  * Patch in skip32bit test helper function
  * Skip TestChunkSnapshot on 32-bit arch due to memory exhaustion
  * Skip TestQueryHistogramFromBlocksWithCompaction additionally on armel /
    armhf

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Dec 2022 22:37:58 +0000

prometheus (2.40.5+ds-2) unstable; urgency=medium

  * Drop obsolete 83-Revert_grafana_regexp.patch
  * Add new build-dep golang-github-grafana-regexp-dev
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Dec 2022 00:17:09 +0000

prometheus (2.40.5+ds-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 02 Dec 2022 02:13:01 +0000

prometheus (2.40.4+ds-2) unstable; urgency=medium

  * Skip TestQueryHistogramFromBlocksWithCompaction on 386 due to memory
    exhaustion

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 01 Dec 2022 05:26:34 +0000

prometheus (2.40.4+ds-1) unstable; urgency=medium

  * New upstream release (fixes CVE-2022-46146)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 30 Nov 2022 06:35:44 +0000

prometheus (2.40.3+ds-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 25 Nov 2022 05:51:03 +0000

prometheus (2.40.2+ds-3) unstable; urgency=medium

  * Skip additional memory-intensive tests which fail on 32-bit archs

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 20 Nov 2022 06:32:08 +0000

prometheus (2.40.2+ds-2) unstable; urgency=medium

  * Fix 35-Disable_memory_intensive_tests.patch so as to not build-exclude
    shared test setup functions

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 20 Nov 2022 04:32:19 +0000

prometheus (2.40.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Add new 35-Disable_memory_intensive_tests.patch to disable
    memory-intensive tests which are known to fail on 32-bit archs

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 20 Nov 2022 03:09:15 +0000

prometheus (2.40.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 09 Nov 2022 15:31:49 +0000

prometheus (2.40.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 34-Disable_wal_test_goleak.patch
  * Add new build-deps:
    - golang-github-ovh-go-ovh-dev
    - golang-golang-x-exp-dev
  * Bump required golang-github-prometheus-exporter-toolkit-dev version to
    0.8.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 09 Nov 2022 11:52:06 +0000

prometheus (2.39.1+ds1-2) unstable; urgency=medium

  * Drop obsolete patches:
    - 02-Disable_ionos.patch
    - 06-Disable_scaleway.patch
  * Add new build-deps:
    - golang-github-ionos-cloud-sdk-go-dev
    - golang-github-scaleway-scaleway-sdk-go-dev
  * Make 21-Disable_TSDB_lockfile.patch less intrusive
  * d/rules: drop no longer necessary GODEBUG x509sha1=1

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Oct 2022 22:06:53 +0000

prometheus (2.39.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Oct 2022 17:24:32 +0000

prometheus (2.38.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 96-Fix_golang_API_change.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Oct 2022 16:27:49 +0000

prometheus (2.37.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 08-Disable_nomad.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Oct 2022 16:06:41 +0000



=== debian/control ===
Source: prometheus
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               gogoprotobuf (>= 1.0.0+git20180330~),
               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb),
               golang-github-aws-aws-sdk-go-dev (>= 1.4),
               golang-github-azure-azure-sdk-for-go-dev,
               golang-github-azure-go-autorest-dev (>= 14.2.0+git20220726.711dde1),
               golang-github-cespare-xxhash-dev,
               golang-github-dennwc-varint-dev,
               golang-github-dgryski-go-sip13-dev <!nocheck>,
               golang-github-digitalocean-godo-dev,
               golang-github-docker-docker-dev,
               golang-github-edsrzf-mmap-go-dev,
               golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
               golang-github-go-kit-log-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
               golang-github-golang-snappy-dev,
               golang-github-google-pprof-dev,
               golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
               golang-github-grafana-regexp-dev,
               golang-github-grpc-ecosystem-grpc-gateway-dev,
               golang-github-hetznercloud-hcloud-go-dev (>= 1.32.0~),
               golang-github-ionos-cloud-sdk-go-dev,
               golang-github-json-iterator-go-dev (>= 1.1.12~),
               golang-github-kolo-xmlrpc-dev,
               golang-github-miekg-dns-dev (>= 0.0~git20170501),
               golang-github-mwitkow-go-conntrack-dev,
               golang-github-oklog-run-dev,
               golang-github-oklog-ulid-dev (>= 1.3.1~),
               golang-github-opentracing-contrib-go-stdlib-dev (>= 0.0~git20190519.cf7a6c9~),
               golang-github-opentracing-opentracing-go-dev,
               golang-github-ovh-go-ovh-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
               golang-github-prometheus-client-golang-dev (>= 1.13.0),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.39.0),
               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
               golang-github-samuel-go-zookeeper-dev,
               golang-github-scaleway-scaleway-sdk-go-dev,
               golang-github-stretchr-testify-dev (>= 1.7.0~),
               golang-github-vultr-govultr-dev (>= 2.0.0),
               golang-go (>= 2:1.17~),
               golang-go.uber-atomic-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-net-dev (>= 1:0.0+git20180124),
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev (>= 0.0~git20170907),
               golang-google-genproto-dev (>= 0.0~git20171123),
               golang-google-grpc-dev (>= 1.6.0~),
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
               golang-gopkg-yaml.v3-dev,
               golang-grpc-gateway,
               golang-opentelemetry-otel-dev,
               golang-uber-automaxprocs-dev,
               golang-uber-goleak-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/prometheus

Package: prometheus
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         fonts-glyphicons-halflings,
         libjs-bootstrap4,
         libjs-eonasdan-bootstrap-datetimepicker,
         libjs-jquery (>= 3.5.1~),
         libjs-jquery-hotkeys,
         libjs-moment,
         libjs-moment-timezone,
         libjs-mustache (>= 2.3.0-1~),
         libjs-popper.js,
         libjs-rickshaw,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: prometheus-node-exporter,
Built-Using: ${misc:Built-Using},
Description: monitoring system and time series database
 Prometheus is a systems and services monitoring system. It collects metrics
 from configured targets at given intervals, evaluates rule expressions,
 displays the results, and can trigger alerts if some condition is observed to
 be true.
 .
 Prometheus' main distinguishing features as compared to other monitoring
 systems are:
 .
  * A multi-dimensional data model (timeseries defined by metric name and set
    of key/value dimensions).
  * A flexible query language to leverage this dimensionality.
  * No dependency on distributed storage; single server nodes are autonomous.
  * Timeseries collection happens via a pull model over HTTP.
  * Pushing timeseries is supported via an intermediary gateway.
  * Targets are discovered via service discovery or static configuration.
  * Multiple modes of graphing and dashboarding support.
  * Federation support coming soon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := \
    cmd/prometheus/testdata \
    cmd/promtool/testdata \
    config/testdata \
    discovery/file/fixtures \
    discovery/http/fixtures \
    discovery/moby/testdata \
    discovery/puppetdb/fixtures \
    documentation/examples/prometheus-agent.yml \
    documentation/examples/prometheus.yml \
    model/rulefmt/testdata \
    promql/fuzz-data \
    promql/testdata \
    rules/fixtures \
    scrape/testdata \
    tsdb/testdata \
    # EOL

# Do not build examples
export DH_GOLANG_EXCLUDES := documentation

BUILDDIR := $(CURDIR)/.build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

ifeq ($(DEB_HOST_ARCH_CPU),arm)
  # Tests in armel take way too long, and run out of memory in armhf.
  TESTFLAGS := -timeout 60m -short
else ifeq ($(DEB_HOST_ARCH_CPU),riscv64)
  TESTFLAGS := -timeout 30m -short
else
  TESTFLAGS := -timeout 20m
endif

%:
	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)

WHATIS1 := "prometheus \\- The Prometheus monitoring server"
WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
PROMPB := $(BUILDDIR)/src/github.com/prometheus/prometheus/prompb

override_dh_auto_configure:
	dh_auto_configure -- $(BUILDFLAGS)
	protoc --gogofast_out=plugins=grpc:$(PROMPB) \
            -I$(PROMPB) \
            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
            $(PROMPB)/*.proto

# Exclude package without non-test files.
override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	$(BUILDDIR)/bin/prometheus --help-man > $(BUILDDIR)/prometheus.1
	$(BUILDDIR)/bin/promtool --help-man > $(BUILDDIR)/promtool.1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) $(BUILDDIR)/prometheus.1
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) $(BUILDDIR)/promtool.1

override_dh_auto_test:
	dh_auto_test -- $(TESTFLAGS)

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus 2.45.0+ds

=== debian/changelog ===
prometheus (2.45.0+ds-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:26 +1200

prometheus (2.45.0+ds-3) unstable; urgency=medium

  * Add new Fix-Linode-SD-int32-overflows.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jul 2023 17:38:35 +0000

prometheus (2.45.0+ds-2) unstable; urgency=medium

  * Re-enable Linode service discovery
  * Drop obsolete Revert-switch-to-go-zookeeper.patch
  * Drop unused build-dep golang-github-samuel-go-zookeeper-dev
  * Add new build-deps:
    - golang-github-go-zookeeper-zk-dev
    - golang-github-linode-linodego-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jul 2023 12:48:41 +0000

prometheus (2.45.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Convert patches to gbp-pq format and refresh
  * Add new Disable-Azure-AD-authentication-support.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Jul 2023 18:45:22 +0000

prometheus (2.44.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 96-Disable-write-documentation-flag.patch
  * Add missing build-dep golang-google-protobuf-dev
  * Drop redundant build-dep version constraints

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 12 Jul 2023 10:37:15 +0000

prometheus (2.43.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 95-Support-prometheus-common-0.42.0.patch
  * Drop unused golang-github-dgryski-go-sip13-dev build-dep
  * Add new 95-Revert-kingpin-import-path.patch
  * d/rules: restore docker SD test fixture filename for older build-deps

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 07 Jul 2023 22:24:58 +0000

prometheus (2.42.0+ds-6) unstable; urgency=medium

  * Add new 95-Support-prometheus-common-0.42.0.patch to support building
    against golang-github-prometheus-common-dev >= 0.42.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 28 Jun 2023 22:51:17 +0000

=== debian/control ===
--- 
+++ 
@@ -8,60 +8,61 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               gogoprotobuf (>= 1.0.0+git20180330~),
-               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb),
-               golang-github-aws-aws-sdk-go-dev (>= 1.4),
+               gogoprotobuf,
+               golang-github-alecthomas-units-dev,
+               golang-github-aws-aws-sdk-go-dev,
                golang-github-azure-azure-sdk-for-go-dev,
-               golang-github-azure-go-autorest-dev (>= 14.2.0+git20220726.711dde1),
+               golang-github-azure-go-autorest-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-dennwc-varint-dev,
-               golang-github-dgryski-go-sip13-dev <!nocheck>,
                golang-github-digitalocean-godo-dev,
                golang-github-docker-docker-dev,
                golang-github-edsrzf-mmap-go-dev,
-               golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
+               golang-github-fsnotify-fsnotify-dev,
                golang-github-go-kit-log-dev,
                golang-github-go-openapi-strfmt-dev,
-               golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
+               golang-github-go-zookeeper-zk-dev,
+               golang-github-gogo-protobuf-dev,
                golang-github-golang-snappy-dev,
                golang-github-google-pprof-dev,
-               golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
+               golang-github-gophercloud-gophercloud-dev,
                golang-github-grafana-regexp-dev,
                golang-github-grpc-ecosystem-grpc-gateway-dev,
-               golang-github-hetznercloud-hcloud-go-dev (>= 1.32.0~),
+               golang-github-hetznercloud-hcloud-go-dev,
                golang-github-ionos-cloud-sdk-go-dev,
-               golang-github-json-iterator-go-dev (>= 1.1.12~),
+               golang-github-json-iterator-go-dev,
                golang-github-kolo-xmlrpc-dev,
-               golang-github-miekg-dns-dev (>= 0.0~git20170501),
+               golang-github-linode-linodego-dev,
+               golang-github-miekg-dns-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-oklog-run-dev,
-               golang-github-oklog-ulid-dev (>= 1.3.1~),
-               golang-github-opentracing-contrib-go-stdlib-dev (>= 0.0~git20190519.cf7a6c9~),
+               golang-github-oklog-ulid-dev,
+               golang-github-opentracing-contrib-go-stdlib-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-ovh-go-ovh-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
-               golang-github-prometheus-client-golang-dev (>= 1.13.0),
+               golang-github-prometheus-alertmanager-dev,
+               golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.39.0),
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
-               golang-github-samuel-go-zookeeper-dev,
+               golang-github-prometheus-common-dev (>= 0.42.0),
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-github-scaleway-scaleway-sdk-go-dev,
-               golang-github-stretchr-testify-dev (>= 1.7.0~),
-               golang-github-vultr-govultr-dev (>= 2.0.0),
-               golang-go (>= 2:1.17~),
+               golang-github-stretchr-testify-dev,
+               golang-github-vultr-govultr-dev,
+               golang-go,
                golang-go.uber-atomic-dev,
                golang-golang-x-exp-dev,
-               golang-golang-x-net-dev (>= 1:0.0+git20180124),
+               golang-golang-x-net-dev,
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-time-dev,
-               golang-google-api-dev (>= 0.0~git20170907),
-               golang-google-genproto-dev (>= 0.0~git20171123),
-               golang-google-grpc-dev (>= 1.6.0~),
+               golang-google-api-dev,
+               golang-google-genproto-dev,
+               golang-google-grpc-dev,
+               golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               golang-gopkg-yaml.v2-dev,
                golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
                golang-opentelemetry-otel-dev,

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
     # EOL
 
 # Do not build examples
-export DH_GOLANG_EXCLUDES := documentation
+export DH_GOLANG_EXCLUDES := documentation storage/remote/azuread
 
 BUILDDIR := $(CURDIR)/.build
 METAPKG := github.com/prometheus/common
@@ -66,6 +66,9 @@
             -I$(BUILDDIR)/src/github.com/gogo/protobuf \
             -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
             $(PROMPB)/*.proto
+	# Restore docker SD test fixture filename for older build-deps
+	ln -s json.json \
+        $(BUILDDIR)/src/github.com/prometheus/prometheus/discovery/moby/testdata/dockerprom/containers/json_limit_0.json
 
 # Exclude package without non-test files.
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test

## prometheus 2.45.3+ds

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,23 @@
 include Makefile.common
 
 DOCKER_IMAGE_NAME       ?= prometheus
+
+docker-tag-latest:
+	@echo Skipping latest
+
+docker-publish:
+ifneq ($(DOCKER_IMAGE_TAG),latest)
+	$(MAKE) common-docker-publish
+else
+	@echo Skipping latest
+endif
+
+docker-manifest:
+ifneq ($(DOCKER_IMAGE_TAG),latest)
+	$(MAKE) common-docker-manifest
+else
+	@echo Skipping latest
+endif
 
 .PHONY: update-npm-deps
 update-npm-deps:
@@ -78,6 +95,17 @@
 	@echo '>> packaging assets'
 	scripts/package_assets.sh
 
+# We only want to generate the parser when there's changes to the grammar.
+.PHONY: parser
+parser:
+	@echo ">> running goyacc to generate the .go file."
+ifeq (, $(shell which goyacc))
+	@echo "goyacc not installed so skipping"
+	@echo "To install: go install golang.org/x/tools/cmd/goyacc@v0.6.0"
+else
+	goyacc -o promql/parser/generated_parser.y.go promql/parser/generated_parser.y
+endif
+
 .PHONY: test
 # If we only want to only test go code we have to change the test target
 # which is called by all.
@@ -122,3 +150,8 @@
 	@$(GO) tool pprof --alloc_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.alloc.svg
 	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/block.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/blockprof.svg
 	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mutex.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/mutexprof.svg
+
+.PHONY: cli-documentation
+cli-documentation:
+	$(GO) run ./cmd/prometheus/ --write-documentation > docs/command-line/prometheus.md
+	$(GO) run ./cmd/promtool/ write-documentation > docs/command-line/promtool.md

=== debian/changelog ===
prometheus (2.45.3+ds-2ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:51:10 +1000

prometheus (2.45.3+ds-2ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 13:27:33 +1000

prometheus (2.45.3+ds-2ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:42:19 +0530

prometheus (2.45.3+ds-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:21 +1100

prometheus (2.45.3+ds-2) unstable; urgency=medium

  * Add new 0022-Support-prometheus-common-0.47.0.patch (Closes: #1064765)
  * Bump golang-github-prometheus-common-dev version constraint to >= 0.47.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 27 Feb 2024 05:26:30 +0000

prometheus (2.45.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Feb 2024 11:58:47 +0000

prometheus (2.45.1+ds-3) unstable; urgency=medium

  * Override dh_auto_test gcflags on riscv64 to workaround
    https://github.com/golang/go/issues/63167
  * Increase test timeout and skip long tests on mips64el and riscv64

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Nov 2023 21:58:21 +0000

prometheus (2.45.1+ds-2) unstable; urgency=medium

  * Add new 0021-Partially-backport-PR-12650.patch to fix FTBFS with recent
    versions of golang-golang-x-exp-dev
  * Drop LimitNOFILE from systemd service, since systemd >= 240 defaults to a
    higher hard limit than what we previously specified

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Nov 2023 17:34:47 +0000

prometheus (2.45.1+ds-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Do not restart service on config syntax errors (Closes: #1022724)

  [ Daniel Swarbrick ]
  * New upstream release
  * Drop obsolete 0021-Fix-Linode-SD-int32-overflows.patch (applied upstream)
  * Bump minimum required golang-github-hetznercloud-hcloud-go-dev to 2.0.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Oct 2023 13:17:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
@@ -28,7 +29,7 @@
                golang-github-gophercloud-gophercloud-dev,
                golang-github-grafana-regexp-dev,
                golang-github-grpc-ecosystem-grpc-gateway-dev,
-               golang-github-hetznercloud-hcloud-go-dev,
+               golang-github-hetznercloud-hcloud-go-dev (>= 2.0.0),
                golang-github-ionos-cloud-sdk-go-dev,
                golang-github-json-iterator-go-dev,
                golang-github-kolo-xmlrpc-dev,
@@ -44,7 +45,7 @@
                golang-github-prometheus-alertmanager-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.42.0),
+               golang-github-prometheus-common-dev (>= 0.47.0),
                golang-github-prometheus-exporter-toolkit-dev,
                golang-github-scaleway-scaleway-sdk-go-dev,
                golang-github-stretchr-testify-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/prometheus/tags .*/v?(\d\S*)\.tar\.gz

## prometheus 2.45.5+ds

=== debian/changelog ===
prometheus (2.45.5+ds-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 03 May 2024 17:24:59 +0000

prometheus (2.45.4+ds-2) unstable; urgency=medium

  * Add new 0024-Fix-deadlock-in-TestQuerierIndexQueriesRace.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 31 Mar 2024 15:56:05 +0000

prometheus (2.45.4+ds-1) unstable; urgency=medium

  * New upstream release
  * dh_auto_test: increase test timeout to 60m

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 29 Mar 2024 11:03:56 +0000

prometheus (2.45.3+ds-3) unstable; urgency=medium

  * Add new 0023-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Mar 2024 04:58:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
@@ -43,7 +42,7 @@
                golang-github-ovh-go-ovh-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-alertmanager-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.47.0),
                golang-github-prometheus-exporter-toolkit-dev,

## prometheus 2.45.6+ds

=== debian/changelog ===
prometheus (2.45.6+ds-9) unstable; urgency=medium

  * Add Breaks / Replaces to promtool package (Closes: #1088956)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 05 Dec 2024 20:49:55 +0000

prometheus (2.45.6+ds-8) unstable; urgency=medium

  * Add new 0027-Extend-testing-CA-certificates-expiry-date.patch
    (Closes: #1078633)
  * Split out promtool binary to separate package (Closes: #1087992)
  * Modernize d/rules to produce more visually appealing man pages

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 30 Nov 2024 09:13:50 +0000

prometheus (2.45.6+ds-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:22:01 -0400

prometheus (2.45.6+ds-6) experimental; urgency=medium

  * Team upload.
  * Tighten dependencies on opentelemetry
  * Fix tests against opentelemetry 1.26

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Oct 2024 06:31:28 -0400

prometheus (2.45.6+ds-5) unstable; urgency=medium

  * golang-github-prometheus-prometheus-dev: include example config files
    required by tests

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 07 Oct 2024 15:29:08 +0000

prometheus (2.45.6+ds-4) unstable; urgency=medium

  * Source-only re-upload

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 06 Oct 2024 10:59:38 +0000

prometheus (2.45.6+ds-3) unstable; urgency=medium

  * Reinstate "New UI" link in nav header
  * d/control: add golang-github-prometheus-prometheus-dev package for
    applications which import (parts of) Prometheus as a library

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 04 Oct 2024 10:38:55 +0000

prometheus (2.45.6+ds-2) unstable; urgency=medium

  * Reinstate React web UI support in backend
  * Fix duplicate path prefix in templates/rules.html (Closes: #1071995)
  * Drop obsolete 0013-Revert-OpenStack-Gophercloud-API-change.patch and
    bump golang-github-gophercloud-gophercloud-dev version constraint to
    (>= 0.19.0)
  * Add React web UI install-ui.sh helper script

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 23 Sep 2024 01:22:56 +0000

prometheus (2.45.6+ds-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * Add new 0025-Support-docker-v25.patch
  * Bump golang-github-docker-docker-dev version constraint (>= 25.0)
  * Drop obsolete 0014-Disable-OpenTelemetry.patch
  * Add new build-dep golang-opentelemetry-contrib-dev
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Aug 2024 11:29:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: prometheus
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
-Section: net
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                gogoprotobuf,
@@ -16,7 +16,7 @@
                golang-github-cespare-xxhash-dev,
                golang-github-dennwc-varint-dev,
                golang-github-digitalocean-godo-dev,
-               golang-github-docker-docker-dev,
+               golang-github-docker-docker-dev (>= 25.0),
                golang-github-edsrzf-mmap-go-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-go-kit-log-dev,
@@ -25,7 +25,7 @@
                golang-github-gogo-protobuf-dev,
                golang-github-golang-snappy-dev,
                golang-github-google-pprof-dev,
-               golang-github-gophercloud-gophercloud-dev,
+               golang-github-gophercloud-gophercloud-dev (>= 0.19.0),
                golang-github-grafana-regexp-dev,
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hetznercloud-hcloud-go-dev (>= 2.0.0),
@@ -65,17 +65,19 @@
                golang-gopkg-yaml.v2-dev,
                golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
-               golang-opentelemetry-otel-dev,
+               golang-opentelemetry-contrib-dev (>= 0.56),
+               golang-opentelemetry-otel-dev (>= 1.31),
                golang-uber-automaxprocs-dev,
                golang-uber-goleak-dev,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/
 XS-Go-Import-Path: github.com/prometheus/prometheus
 
 Package: prometheus
+Section: net
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
@@ -89,10 +91,11 @@
          libjs-mustache (>= 2.3.0-1~),
          libjs-popper.js,
          libjs-rickshaw,
+         promtool,
          ${misc:Depends},
          ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
 Recommends: prometheus-node-exporter,
-Built-Using: ${misc:Built-Using},
 Description: monitoring system and time series database
  Prometheus is a systems and services monitoring system. It collects metrics
  from configured targets at given intervals, evaluates rule expressions,
@@ -111,3 +114,84 @@
   * Targets are discovered via service discovery or static configuration.
   * Multiple modes of graphing and dashboarding support.
   * Federation support coming soon.
+
+Package: promtool
+Section: net
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
+Enhances: prometheus,
+Breaks: prometheus (<< 2.45.6+ds-9)
+Replaces: prometheus (<< 2.45.6+ds-9)
+Description: tooling for the Prometheus monitoring system
+ promtool is a command-line utility for managing and interacting with a
+ Prometheus monitoring system and its configuration / rules.
+
+Package: golang-github-prometheus-prometheus-dev
+Architecture: all
+Multi-Arch: foreign
+Depends: golang-github-alecthomas-units-dev,
+         golang-github-aws-aws-sdk-go-dev,
+         golang-github-azure-azure-sdk-for-go-dev,
+         golang-github-azure-go-autorest-dev,
+         golang-github-cespare-xxhash-dev,
+         golang-github-dennwc-varint-dev,
+         golang-github-digitalocean-godo-dev,
+         golang-github-docker-docker-dev (>= 25.0),
+         golang-github-edsrzf-mmap-go-dev,
+         golang-github-fsnotify-fsnotify-dev,
+         golang-github-go-kit-log-dev,
+         golang-github-go-openapi-strfmt-dev,
+         golang-github-go-zookeeper-zk-dev,
+         golang-github-gogo-protobuf-dev,
+         golang-github-golang-snappy-dev,
+         golang-github-google-pprof-dev,
+         golang-github-gophercloud-gophercloud-dev (>= 0.19.0),
+         golang-github-grafana-regexp-dev,
+         golang-github-grpc-ecosystem-grpc-gateway-dev,
+         golang-github-hetznercloud-hcloud-go-dev (>= 2.0.0),
+         golang-github-ionos-cloud-sdk-go-dev,
+         golang-github-json-iterator-go-dev,
+         golang-github-kolo-xmlrpc-dev,
+         golang-github-linode-linodego-dev,
+         golang-github-miekg-dns-dev,
+         golang-github-mwitkow-go-conntrack-dev,
+         golang-github-oklog-run-dev,
+         golang-github-oklog-ulid-dev,
+         golang-github-opentracing-contrib-go-stdlib-dev,
+         golang-github-opentracing-opentracing-go-dev,
+         golang-github-ovh-go-ovh-dev,
+         golang-github-pkg-errors-dev,
+         golang-github-prometheus-alertmanager-dev,
+         golang-github-prometheus-client-golang-dev (>= 1.19.0),
+         golang-github-prometheus-client-model-dev,
+         golang-github-prometheus-common-dev (>= 0.47.0),
+         golang-github-prometheus-exporter-toolkit-dev,
+         golang-github-scaleway-scaleway-sdk-go-dev,
+         golang-github-stretchr-testify-dev,
+         golang-github-vultr-govultr-dev,
+         golang-go.uber-atomic-dev,
+         golang-golang-x-exp-dev,
+         golang-golang-x-net-dev,
+         golang-golang-x-oauth2-google-dev,
+         golang-golang-x-sync-dev,
+         golang-golang-x-sys-dev,
+         golang-golang-x-time-dev,
+         golang-google-api-dev,
+         golang-google-genproto-dev,
+         golang-google-grpc-dev,
+         golang-google-protobuf-dev,
+         golang-gopkg-alecthomas-kingpin.v2-dev,
+         golang-gopkg-yaml.v2-dev,
+         golang-gopkg-yaml.v3-dev,
+         golang-grpc-gateway,
+         golang-opentelemetry-contrib-dev (>= 0.56),
+         golang-opentelemetry-otel-dev (>= 1.31),
+         golang-uber-automaxprocs-dev,
+         golang-uber-goleak-dev,
+         ${misc:Depends},
+Description: Prometheus monitoring system and time series database (library)
+ This package contains the source code of the Prometheus monitoring system and
+ time series database, for applications which make use of its exported
+ functions such as the promql parser.

=== debian/rules ===
--- 
+++ 
@@ -46,17 +46,19 @@
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
   # Tests in armel take way too long, and run out of memory in armhf.
   TESTFLAGS := -timeout 60m -short
+else ifeq ($(DEB_HOST_ARCH_CPU),mips64el)
+  # mips64el is also super slow
+  TESTFLAGS := -timeout 60m -short
 else ifeq ($(DEB_HOST_ARCH_CPU),riscv64)
-  TESTFLAGS := -timeout 30m -short
+  # Override gcflags to workaround https://github.com/golang/go/issues/63167
+  TESTFLAGS := -timeout 60m -short -gcflags=all=-d=wrapglobalmapctl=1
 else
-  TESTFLAGS := -timeout 20m
+  TESTFLAGS := -timeout 60m
 endif
 
 %:
 	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
-WHATIS1 := "prometheus \\- The Prometheus monitoring server"
-WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
 PROMPB := $(BUILDDIR)/src/github.com/prometheus/prometheus/prompb
 
 override_dh_auto_configure:
@@ -74,14 +76,26 @@
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
+
+MAN_WHATIS := "prometheus \\- The Prometheus monitoring server"
+MAN_WHATIS_TOOL := "promtool \\- Tooling for the Prometheus monitoring system"
+MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')
+
+execute_before_dh_installman:
 	$(BUILDDIR)/bin/prometheus --help-man > $(BUILDDIR)/prometheus.1
 	$(BUILDDIR)/bin/promtool --help-man > $(BUILDDIR)/promtool.1
-	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) $(BUILDDIR)/prometheus.1
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) $(BUILDDIR)/promtool.1
+	# Fix title and header footers.
+	sed -i '/^.TH .*/c.TH PROMETHEUS "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
+        $(BUILDDIR)/prometheus.1
+	sed -i '/^.TH .*/c.TH PROMTOOL "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
+        $(BUILDDIR)/promtool.1
+	# Remove build user/build date/go version headers, which is ugly.
+	sed -i '/^  /d' $(BUILDDIR)/*.1
+	# Fix whatis entries.
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(MAN_WHATIS) $(BUILDDIR)/prometheus.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(MAN_WHATIS_TOOL) $(BUILDDIR)/promtool.1
+	# Remove default values, as they create unwieldy long lines.
+	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/*.1
 
 override_dh_auto_test:
 	dh_auto_test -- $(TESTFLAGS)
-
-override_dh_auto_install:
-	dh_auto_install -- --no-source
